﻿@model IEnumerable<AppointmentTracker.Appointment>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Diagnosis)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.StartDateTime)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.EndDateTime)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Doctor.FirstName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Patient.FirstName)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Diagnosis)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.StartDateTime)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.EndDateTime)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Doctor.FirstName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Patient.FirstName)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.ID }) |
            @Html.ActionLink("Details", "Details", new { id=item.ID }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.ID })
        </td>
    </tr>
}

</table>
